net.minecraft.tileentity

## Class TileEntityHopper

- java.lang.Object
- - net.minecraft.tileentity.TileEntity
  - - net.minecraft.tileentity.TileEntityHopper

- All Implemented Interfaces:
    IInventory, IHopper

      public class TileEntityHopper
      extends TileEntity
      implements IHopper

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.tileentity.TileEntity

      `blockMetadata, blockType, INFINITE_EXTENT_AABB, tileEntityInvalid, worldObj, xCoord, yCoord, zCoord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntityHopper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeInventory()`
    `ItemStack` | `decrStackSize(int par1, int par2)`
    `static IInventory` | `func_145884_b(IHopper p_145884_0_)`
    `void` | `func_145886_a(java.lang.String p_145886_1_)`
    `boolean` | `func_145887_i()`
    `boolean` | `func_145888_j()`
    `static ItemStack` | `func_145889_a(IInventory p_145889_0_, ItemStack p_145889_1_, int p_145889_2_)`
    `static boolean` | `func_145891_a(IHopper p_145891_0_)`
    `static IInventory` | `func_145893_b(World p_145893_0_, double p_145893_1_, double p_145893_3_, double p_145893_5_)`
    `void` | `func_145896_c(int p_145896_1_)`
    `static EntityItem` | `func_145897_a(World p_145897_0_, double p_145897_1_, double p_145897_3_, double p_145897_5_)`
    `static boolean` | `func_145898_a(IInventory p_145898_0_, EntityItem p_145898_1_)`
    `java.lang.String` | `getInventoryName()`
    `int` | `getInventoryStackLimit()`
    `int` | `getSizeInventory()`
    `ItemStack` | `getStackInSlot(int par1)`
    `ItemStack` | `getStackInSlotOnClosing(int par1)`
    `double` | `getXPos()`
    `double` | `getYPos()`
    `double` | `getZPos()`
    `boolean` | `hasCustomInventoryName()`
    `boolean` | `isItemValidForSlot(int par1, ItemStack par2ItemStack)`
    `boolean` | `isUseableByPlayer(EntityPlayer par1EntityPlayer)`
    `void` | `markDirty()`
    `void` | `openInventory()`
    `void` | `readFromNBT(NBTTagCompound p_145839_1_)`
    `void` | `setInventorySlotContents(int par1, ItemStack par2ItemStack)`
    `void` | `updateEntity()`
    `void` | `writeToNBT(NBTTagCompound p_145841_1_)`

    - ### Methods inherited from class net.minecraft.tileentity.TileEntity

      `addMapping, canUpdate, createAndLoadEntity, func_145828_a, getBlockMetadata, getBlockType, getDescriptionPacket, getDistanceFrom, getMaxRenderDistanceSquared, getRenderBoundingBox, getWorldObj, hasWorldObj, invalidate, isInvalid, onChunkUnload, onDataPacket, receiveClientEvent, setWorldObj, shouldRefresh, shouldRenderInPass, updateContainingBlockInfo, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.tileentity.IHopper

      `getWorldObj`

- - ### Constructor Detail

    - #### TileEntityHopper

          public TileEntityHopper()

  - ### Method Detail

    - #### readFromNBT

          public void readFromNBT(NBTTagCompound p_145839_1_)

      Overrides:
        `readFromNBT` in class `TileEntity`

    - #### writeToNBT

          public void writeToNBT(NBTTagCompound p_145841_1_)

      Overrides:
        `writeToNBT` in class `TileEntity`

    - #### markDirty

          public void markDirty()

      Specified by:
        `markDirty` in interface `IInventory`
      Overrides:
        `markDirty` in class `TileEntity`

    - #### getSizeInventory

          public int getSizeInventory()

      Specified by:
        `getSizeInventory` in interface `IInventory`

    - #### getStackInSlot

          public ItemStack getStackInSlot(int par1)

      Specified by:
        `getStackInSlot` in interface `IInventory`

    - #### decrStackSize

          public ItemStack decrStackSize(int par1,
                                int par2)

      Specified by:
        `decrStackSize` in interface `IInventory`

    - #### getStackInSlotOnClosing

          public ItemStack getStackInSlotOnClosing(int par1)

      Specified by:
        `getStackInSlotOnClosing` in interface `IInventory`

    - #### setInventorySlotContents

          public void setInventorySlotContents(int par1,
                                      ItemStack par2ItemStack)

      Specified by:
        `setInventorySlotContents` in interface `IInventory`

    - #### getInventoryName

          public java.lang.String getInventoryName()

      Specified by:
        `getInventoryName` in interface `IInventory`

    - #### hasCustomInventoryName

          public boolean hasCustomInventoryName()

      Specified by:
        `hasCustomInventoryName` in interface `IInventory`

    - #### func_145886_a

          public void func_145886_a(java.lang.String p_145886_1_)

    - #### getInventoryStackLimit

          public int getInventoryStackLimit()

      Specified by:
        `getInventoryStackLimit` in interface `IInventory`

    - #### isUseableByPlayer

          public boolean isUseableByPlayer(EntityPlayer par1EntityPlayer)

      Specified by:
        `isUseableByPlayer` in interface `IInventory`

    - #### openInventory

          public void openInventory()

      Specified by:
        `openInventory` in interface `IInventory`

    - #### closeInventory

          public void closeInventory()

      Specified by:
        `closeInventory` in interface `IInventory`

    - #### isItemValidForSlot

          public boolean isItemValidForSlot(int par1,
                                   ItemStack par2ItemStack)

      Specified by:
        `isItemValidForSlot` in interface `IInventory`

    - #### updateEntity

          public void updateEntity()

      Overrides:
        `updateEntity` in class `TileEntity`

    - #### func_145887_i

          public boolean func_145887_i()

    - #### func_145891_a

          public static boolean func_145891_a(IHopper p_145891_0_)

    - #### func_145898_a

          public static boolean func_145898_a(IInventory p_145898_0_,
                              EntityItem p_145898_1_)

    - #### func_145889_a

          public static ItemStack func_145889_a(IInventory p_145889_0_,
                                ItemStack p_145889_1_,
                                int p_145889_2_)

    - #### func_145884_b

          public static IInventory func_145884_b(IHopper p_145884_0_)

    - #### func_145897_a

          public static EntityItem func_145897_a(World p_145897_0_,
                                 double p_145897_1_,
                                 double p_145897_3_,
                                 double p_145897_5_)

    - #### func_145893_b

          public static IInventory func_145893_b(World p_145893_0_,
                                 double p_145893_1_,
                                 double p_145893_3_,
                                 double p_145893_5_)

    - #### getXPos

          public double getXPos()

      Specified by:
        `getXPos` in interface `IHopper`

    - #### getYPos

          public double getYPos()

      Specified by:
        `getYPos` in interface `IHopper`

    - #### getZPos

          public double getZPos()

      Specified by:
        `getZPos` in interface `IHopper`

    - #### func_145896_c

          public void func_145896_c(int p_145896_1_)

    - #### func_145888_j

          public boolean func_145888_j()